# Preview instalment plan for an invoice Endpoint: POST /invoices/{invoiceId}/instalments/preview Version: 1.0.0 Security: Biller Access Token (Staging), Biller Access Token (Production) ## Path parameters: - `invoiceId` (string, required) ## Request fields (application/json): - `cadence` (object, required) The cadence of the schedule - `cadence.type` (string, required) The type of the cadence (INTERVAL, DAY_OF_MONTH, etc.) Enum: "INTERVAL", "INTERVAL_COUNT", "DAY_OF_MONTH", "CUSTOM" - `cadence.timeUnit` (string) Required if type is INTERVAL. Defines the time unit (e.g., DAYS, MONTHS, etc.). Enum: "SECOND", "MINUTE", "HOUR", "DAY", "WEEK", "MONTH", "YEAR" - `cadence.frequency` (integer) Required if type is INTERVAL. Frequency of recurrence (e.g., every N time units). - `cadence.dayOfMonth` (integer) Required if type is DAY_OF_MONTH. Specifies the day of the month the schedule applies. - `cadence.dates` (array) Required if type is CUSTOM. A list of exact custom dates for the cadence. - `cadence.startDate` (string, required) The start date of the schedule - `cadence.endDate` (string) The (optional) end date of the schedule - `cadence.count` (integer) The total number of items. Required for INTERVAL_COUNT type - `totalAmount` (number) Total amount to distribute across instalments. Defaults to the invoice total if not provided. ## Response 200 fields (application/json): - `id` (string) The internal id of the invoice - `invoiceNo` (string) The number of the invoice. Can be empty when creating the invoice without an invoice number,but it will be automatically generated when the invoice is pushed to an accounting software. Once set, serves as a unique value that can be used as an idempotency key. - `description` (string) Short description of the invoice - `totalAmount` (string) The invoice total amount. Includes tax amount, amount paid or reduced with credit notes) - `taxAmount` (string) The invoice tax amount. - `dueAmount` (string) The invoice amount due (remaining to be paid). - `creditNotesAmount` (string) The total amount that is credited. - `dueDate` (string) The due date of the invoice - `issueDate` (string) The issue date date of the invoice - `creationTime` (string) The date the invoice was created - `lastUpdatedTime` (string) The date the invoice was last updated - `paidTime` (string) The date the invoice was paid - `status` (string) The invoice status Enum: "DRAFT", "UNPAID", "OVERDUE", "SCHEDULED", "SUBMITTED", "PAID", "VOID", "SETTLED" - `statusReasonCode` (string) The reason as predefined code why the invoice is in a certain status Enum: "MISSING_PAYER_CONTACT_DETAILS", "PENDING_ACTIVATION", "PENDING_DD_MANDATE", "PENDING_DD_CAPABILITY", "MARKED_AS_PAID", "WORKFLOW_COMPLETED", "NOTIFICATION_DELIVERY_FAILED", "BULK_PRUNE", "STALE_DRAFT_CLEANUP", "OTHER", "DIRECT_DEBIT_MANDATE_BANK_ACCOUNT_CHANGED" - `statusReason` (string) Custom details on why the invoice is in a certain status - `invoiceSource` (string) The source of the invoice Enum: "FILE_UPLOAD", "MANUAL", "PR", "EXTERNAL", "SCHEDULE", "PLATFORM" - `customer` (object) The customer for which this invoice is created - `customer.id` (string) The Adfin id of the customer. - `customer.externalId` (string) The id of the customer from the platform that is integrating with Adfin. - `customer.name` (string) The full name of the customer. - `customer.creationTime` (string) The time the customer was created. - `customer.lastUpdatedTime` (string) The last time when the customer was updated. - `customer.people` (array) The list of people assigned to the customer. - `customer.people.id` (string) The internal id of the person. - `customer.people.firstName` (string) The first name of the person. - `customer.people.lastName` (string) The last name of the person. - `customer.people.email` (string) The email of the person. - `customer.people.phoneNo` (string) The phone number of the person. - `customer.people.isPrimaryContact` (boolean) True if this person is a primary contact. - `customer.people.isIncludedInCommunications` (boolean) True if this person is included in the customers communications. - `customer.people.validForEmailCommunication` (boolean) - `customer.people.validForPhoneCommunication` (boolean) - `customer.addresses` (array) The list of the addresses for the customer. - `customer.addresses.id` (string) The internal id of the address. - `customer.addresses.city` (string) The name of the city. - `customer.addresses.postalCode` (string) The postal code. - `customer.addresses.country` (string) The name of the biller country. - `customer.addresses.addressLine1` (string) The name of the street, and the house or building number. - `customer.directDebitMandate` (object) Direct Debit details (if a mandate was created). - `customer.directDebitMandate.id` (string) The id of the direct debit mandate. - `customer.directDebitMandate.status` (string) Current status of the direct debit. Enum: "CREATED", "PENDING", "ACTIVE", "CANCELLED", "MIGRATING" - `customer.directDebitMandate.statusReasonCode` (string) The reason as predefined code why the mandate is in a certain status Enum: "PENDING_DD_CAPABILITY", "PENDING_ACTIVATION", "MIGRATED", "BANK_ACCOUNT_CHANGED", "INCORRECT_BANK_DETAILS", "INSTRUCTION_CANCELLED_BY_PAYER", "PAYER_DECEASED", "ACCOUNT_TRANSFERRED", "ADVANCE_NOTICE_DISPUTED", "AMOUNT_DISPUTED", "MANDATE_NOT_FOUND", "DISPUTE_TOO_EARLY", "DISPUTE_TOO_LATE", "INVALID_SORT_CODE", "INVALID_ACC_NUMBER", "ACCOUNT_CLOSED", "CANCELLED_ON_DEMAND", "REINSTATED", "MIGRATION_TIMEOUT", "DISCARDED_BY_BILLER", "ACCEPTED_ON_CREATION", "OTHER" - `customer.directDebitMandate.statusReason` (string) Reason explaining the current status of the direct debit mandate, especially useful for failure cases. - `customer.directDebitMandate.creationTime` (string) The time when the mandate was created - `customer.directDebitMandate.lastUpdatedTime` (string) The last time when the mandate was updated - `customer.directDebitMandate.authorisationTime` (string) The time when the mandate was signed by the customer - `customer.directDebitMandate.submissionTime` (string) The time when the mandate was submitted to the payment provider - `customer.directDebitMandate.url` (string) The URL where the customer can sign the direct debit mandate. - `customer.directDebitMandate.bankAccountNumber` (string) The bank account number associated with the mandate. - `customer.directDebitMandate.mandateContactId` (string) The ID of the person linked as the mandate contact - `customer.directDebitMandate.distributionTime` (string) The time when the mandate was first sent to the customer - `customer.directDebitMandate.lastNotificationSentTime` (string) The time when the mandate was last sent to the customer - `customer.billerBankAccount` (object) Biller bank account for bank transfers - `customer.billerBankAccount.accountHolderAddress` (object) Address of the bank account holder. Optional; used for compliance and verification. - `customer.billerBankAccount.accountHolderName` (string, required) Full name of the bank account holder as registered with the bank. - `customer.billerBankAccount.bankAccount` (object, required) Bank account identifiers (e.g., account number and sort code or IBAN/BIC). - `customer.billerBankAccount.bankAccount.accountNumber` (string) - `customer.billerBankAccount.bankAccount.sortCode` (string) - `customer.billerBankAccount.bankAddress` (object) Address of the banking institution. Optional. - `customer.billerBankAccount.currencyCode` (string, required) Currency of the bank account (ISO 4217). Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `customer.timezone` (string) The timezone of the customer. - `customer.discount` (object) The discount applied for the customer. - `customer.discount.percentage` (number) The discount as a percentage to be applied for the invoices. - `customer.discount.period` (integer) The period in hours until the discount expires. - `customer.externalData` (array) References about this customer from external platforms Adfin integrates with, such as ID, etc. - `customer.externalData.connectorType` (string, required) The name of the platform for which this data is stored for. Enum: "XERO", "QUICKBOOKS" - `customer.externalData.id` (string, required) The ID of the Customer in the external platform. - `customer.externalData.name` (string) The name of the Customer in the external platform. - `customer.tags` (array) The tag ids associated with the customer. - `customer.status` (string) The status of the customer (ACTIVE, ARCHIVED) Enum: "ACTIVE", "ARCHIVED" - `customer.statusReasonCode` (string) The reason as a predefined code for why the customer is in a certain status Enum: "MERGED", "ARCHIVED_MANUALLY" - `customer.settings` (object) Customer settings - `customer.settings.paymentSettings` (object) Customer payment settings - `customer.settings.paymentSettings.allowPartialPayments` (boolean) Indicates whether partial payments are allowed - `customer.settings.paymentSettings.minPartialPaymentAmount` (number) The minimum amount for partial payments - `customer.settings.paymentSettings.surchargeIsEnabled` (boolean) Indicates whether a surcharge is applied to commercial card payments - `customer.settings.paymentSettings.lateFeesIsEnabled` (boolean) Indicates whether late fees calculation is enabled - `customer.trackingItems` (array) The tracking item catalogues associated with the customer. - `customer.trackingItems.id` (string) The id of the tracking item catalogue entry - `customer.trackingItems.name` (string) The name of the tracking item catalogue entry - `customer.trackingItems.externalData` (array) The external data of the tracking item catalogue entry - `customer.trackingItems.externalData.externalId` (string) The unique id of the item in the external platform. - `customer.trackingItems.items` (array) The child tracking items (options) of this category - `customer.office` (object) The office associated with the customer. - `customer.office.id` (string) The unique identifier of the office. - `customer.office.name` (string) The name of the office. - `customer.office.trackingItemId` (string) The tracking item identifier. - `customer.office.details` (object) The office contact and address details. - `customer.office.details.email` (string) The office email address. - `customer.office.details.addressLine1` (string) The first line of the address. - `customer.office.details.addressLine2` (string) The second line of the address. - `customer.office.details.city` (string) The city. - `customer.office.details.country` (string) The country. - `customer.office.details.postcode` (string) The postcode. - `itemsTaxType` (string) How tax is applied to line items from the invoice Enum: "EXCLUSIVE", "INCLUSIVE", "NONE" - `instalmentPlanDetails` (object) Instalment details - `instalmentPlanDetails.cadence` (object, required) The instalment cadence - `instalmentPlanDetails.cadence.type` (string, required) The type of the cadence (INTERVAL, DAY_OF_MONTH, etc.) Enum: "INTERVAL", "INTERVAL_COUNT", "DAY_OF_MONTH", "CUSTOM" - `instalmentPlanDetails.cadence.timeUnit` (string) Required if type is INTERVAL. Defines the time unit (e.g., DAYS, MONTHS, etc.). Enum: "SECOND", "MINUTE", "HOUR", "DAY", "WEEK", "MONTH", "YEAR" - `instalmentPlanDetails.cadence.frequency` (integer) Required if type is INTERVAL. Frequency of recurrence (e.g., every N time units). - `instalmentPlanDetails.cadence.dayOfMonth` (integer) Required if type is DAY_OF_MONTH. Specifies the day of the month the schedule applies. - `instalmentPlanDetails.cadence.dates` (array) Required if type is CUSTOM. A list of exact custom dates for the cadence. - `instalmentPlanDetails.cadence.startDate` (string, required) The start date of the schedule - `instalmentPlanDetails.cadence.endDate` (string) The (optional) end date of the schedule - `instalmentPlanDetails.cadence.count` (integer) The total number of items. Required for INTERVAL_COUNT type - `items` (array) The list of items from the invoice - `items.id` (string) The ID of the line item to update. - `items.description` (string) The description of the item. - `items.quantity` (number) The quantity of items. - `items.unitAmount` (number) The price per unit of the item. - `items.taxRate` (number) The tax rate percentage applied on the line item amount (quantity * unit amount). - `items.taxAmount` (number) The tax amount added on top of the line item amount. - `items.totalAmount` (number) The total price of the item. - `items.taxDetails` (object) Tax rate details for this line item. - `items.taxDetails.id` (string) The ID of the tax rate. - `items.taxDetails.rate` (number) The actual rate value. - `items.accountDetails` (object) Account details for this line item. - `items.accountDetails.id` (string) The ID of the account code. - `items.accountDetails.code` (string) The account code value. - `items.productDetails` (object) Product details for this line item. - `items.productDetails.id` (string) The ID of the product. - `items.productDetails.code` (string) The product code value. - `items.externalData` (array) Information about this line item captured from external systems - `items.externalData.id` (string) The ID from the external platform - `items.externalData.templateId` (string) The template ID from external platform from which this line item is created. Cannot use both the template ID and the account code. - `items.externalData.accountCode` (string) The account code from external platform from which this line item is created. Cannot use both the template ID and the account code. - `items.trackingItems` (array) The tracking items associated with this line item. - `items.trackingItems.id` (string) The ID of the tracking item. - `items.trackingItems.name` (string) The name of the tracking item. - `paymentRequests` (array) The payment requests that were created for this invoice - `paymentRequests.id` (string) The internal id of the payment request - `paymentRequests.paymentRequestNo` (string) The payment request number - `paymentRequests.description` (string) Short description of the payment request - `paymentRequests.totalAmount` (number) The payment request amount - `paymentRequests.principalAmount` (number) The principal amount of the payment request (excluding fees and discounts) - `paymentRequests.paidAmount` (number) The total amount that is paid - `paymentRequests.currencyCode` (string) The currency in which the payment request is raised Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `paymentRequests.fees` (array) The active (non-waived) fees on this payment request. - `paymentRequests.fees.id` (string) The fee id - `paymentRequests.fees.amount` (number) The total fee amount - `paymentRequests.fees.dueAmount` (number) The outstanding fee amount - `paymentRequests.fees.type` (string) The fee type Enum: "LATE_FEE" - `paymentRequests.fees.effectiveDate` (string) The date when the fee becomes effective - `paymentRequests.fees.items` (array) The fee item breakdown - `paymentRequests.fees.items.id` (string) The fee item id - `paymentRequests.fees.items.type` (string) The fee item type Enum: "DAILY_INTEREST", "FIXED_FEE", "WAIVER" - `paymentRequests.fees.items.description` (string) The fee item description - `paymentRequests.fees.items.amount` (number) The fee item amount - `paymentRequests.fees.items.dueAmount` (number) The outstanding amount for this fee item - `paymentRequests.payByDate` (string) The (optional) date until when user recommended the payer to pay - `paymentRequests.creationTime` (string) The date the payment request was created - `paymentRequests.lastNotificationSentTime` (string) The date the payment request was last sent to the customer - `paymentRequests.lastUpdatedTime` (string) The date the payment request was last updated - `paymentRequests.paidTime` (string) The date the payment request paid - `paymentRequests.paymentInitiationDate` (string) The date when payment is initiated for this payment request (only for Direct Debit) - `paymentRequests.chargeDate` (string) The date on which the customer will have their account debited - `paymentRequests.payoutDate` (string) The date on which the biller will get paid out for the payment - `paymentRequests.distributionTime` (string) The date when the payment request was distributed - `paymentRequests.status` (string) The payment request status Enum: "DRAFT", "UNPAID", "OVERDUE", "SCHEDULED", "SUBMITTED", "PAID", "VOID", "SETTLED" - `paymentRequests.statusReasonCode` (string) The reason as predefined code why the payment request is in a certain status Enum: "MISSING_PAYER_CONTACT_DETAILS", "PENDING_ACTIVATION", "PENDING_DD_MANDATE", "PENDING_DD_CAPABILITY", "MARKED_AS_PAID", "WORKFLOW_COMPLETED", "NOTIFICATION_DELIVERY_FAILED", "BULK_PRUNE", "STALE_DRAFT_CLEANUP", "OTHER", "DIRECT_DEBIT_MANDATE_BANK_ACCOUNT_CHANGED" - `paymentRequests.statusReason` (string) Custom details on why the payment request is in a certain status - `paymentRequests.reference` (string) The payment request reference - `paymentRequests.payments` (array) The payments made as part of this payment request - `paymentRequests.payments.id` (string, required) The internal id of the payment - `paymentRequests.payments.paymentRequestId` (string, required) The ID of the payment request - `paymentRequests.payments.creationTime` (string, required) The date when the payment was initiated - `paymentRequests.payments.lastUpdatedTime` (string) The last time when the payment was updated - `paymentRequests.payments.advance` (object) Advance details. Required when prAllocations are not provided. - `paymentRequests.payments.advance.customerId` (string, required) The ID of the customer - `paymentRequests.payments.advance.amount` (number, required) The amount to be paid - `paymentRequests.payments.advance.currencyCode` (string, required) The currency code Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `paymentRequests.payments.prAllocations` (array) Per-payment-request allocations for this payment - `paymentRequests.payments.prAllocations.prId` (string) - `paymentRequests.payments.prAllocations.amount` (number) - `paymentRequests.payments.prAllocations.currencyCode` (string) The default currency of the biller. Enum: "AED", "AFN", "ALL", "AMD", "ANG", "AOA", "ARS", "AUD", "AWG", "AZN", "BAM", "BBD", "BDT", "BGN", "BHD", "BIF", "BMD", "BND", "BOB", "BRL", "BSD", "BTN", "BWP", "BYR", "BZD", "CAD", "CDF", "CHF", "CLP", "CNY", "COP", "CRC", "CUC", "CUP", "CVE", "CZK", "DJF", "DKK", "DOP", "DZD", "EGP", "ERN", "ETB", "EUR", "FJD", "FKP", "GBP", "GEL", "GGP", "GHS", "GIP", "GMD", "GNF", "GTQ", "GYD", "HKD", "HNL", "HRK", "HTG", "HUF", "IDR", "ILS", "IMP", "INR", "IQD", "IRR", "ISK", "JEP", "JMD", "JOD", "JPY", "KES", "KGS", "KHR", "KMF", "KPW", "KRW", "KWD", "KYD", "KZT", "LAK", "LBP", "LKR", "LRD", "LSL", "LYD", "MAD", "MDL", "MGA", "MKD", "MMK", "MNT", "MOP", "MRO", "MUR", "MVR", "MWK", "MXN", "MYR", "MZN", "NAD", "NGN", "NIO", "NOK", "NPR", "NZD", "OMR", "PAB", "PEN", "PGK", "PHP", "PKR", "PLN", "PYG", "QAR", "RON", "RSD", "RUB", "RWF", "SAR", "SBD", "SCR", "SDG", "SEK", "SGD", "SHP", "SLL", "SOS", "SPL", "SRD", "STD", "SVC", "SYP", "SZL", "THB", "TJS", "TMT", "TND", "TOP", "TRY", "TTD", "TVD", "TWD", "TZS", "UAH", "UGX", "USD", "UYU", "UZS", "VEF", "VND", "VUV", "WST", "XAF", "XCD", "XDR", "XOF", "XPF", "YER", "ZAR", "ZMW", "ZWD" - `paymentRequests.payments.prAllocations.splitDetails` (object) - `paymentRequests.payments.prAllocations.splitDetails.billerAmount` (number) - `paymentRequests.payments.prAllocations.splitDetails.surchargeAmount` (number) - `paymentRequests.payments.prAllocations.splitDetails.fixedLateFeeAmount` (number) - `paymentRequests.payments.amount` (number, required) The paid amount - `paymentRequests.payments.fees` (array) Details about the applied fees - `paymentRequests.payments.fees.amount` (number) The amount of the fee - `paymentRequests.payments.fees.applicationMethod` (string) The fee application method Enum: "SURCHARGE", "LATE_FEE" - `paymentRequests.payments.status` (string, required) The current payment status Enum: "PENDING", "SUBMITTED", "SENT", "SUCCESS", "CANCELLED", "FAILED", "SETTLED" - `paymentRequests.payments.receiptNo` (string) The current payment receipt number - `paymentRequests.payments.paymentMethod` (string, required) The method used for making the payment Enum: "BANK_PAYMENT", "CARD", "APPLE_PAY", "GOOGLE_PAY", "DIRECT_DEBIT", "IMPORTED", "MANUAL_BANK_TRANSFER", "BANK_TRANSFER", "AMEX" - `paymentRequests.payments.channelPaymentId` (string, required) Unique identifier for the payment in the payment provider's system - `paymentRequests.payments.channelPaymentUrl` (string) The URL generated by the payment provider to perform the payment - `paymentRequests.payments.channelReferenceId` (string) The remittance reference ID for bank payments - `paymentRequests.payments.externalData` (array) References about this payment from external platforms Adfin integrates with - `paymentRequests.payments.externalData.id` (string) ID of the payment in the external platform - `paymentRequests.payments.paymentSource` (string) How the payment was initiated. Enum: "PAYMENT_LINK", "GENERIC_PAYMENT_LINK", "PAYMENT_OVER_PHONE" - `paymentRequests.payments.metadata` (any) - `paymentRequests.payments.feeDetails` (object) Details about the applied fee - `paymentRequests.discounts` (array) The discounts applied to this payment request - `paymentRequests.discounts.totalAmount` (number) The discounted amount - `paymentRequests.discounts.expirationDate` (string) The date until when the discount is valid - `paymentRequests.paymentLink` (object) The payment link associated with this request. - `paymentRequests.paymentLink.url` (string) The payment URL. - `paymentRequests.paymentLink.lastSeenTime` (string) The date when the payment link was seen for the last time - `paymentRequests.distribution` (object) The payment request distribution information - `paymentRequests.distribution.collectionMethod` (string) How the payment is expected to be collected for this payment request. Enum: "ONE_TIME_PAYMENT", "DIRECT_DEBIT_PAYMENT", "NONE" - `paymentRequests.distribution.customMessage` (string) An optional message that will be sent to the customer when the payment request is distributed. - `paymentRequests.distribution.templateId` (string) The schedule template id used for sending the payment request to customer. - `paymentRequests.distribution.cancelCollectionOnFailure` (boolean) Whether collection should be cancelled if the payment fails - `paymentRequests.workflowType` (string) The workflow type of the payment request Enum: "AUTO_COLLECT", "ON_DEMAND", "NONE" - `paymentRequests.customFields` (array) The list of custom fields that are applied to the payment request - `paymentRequests.customFields.fieldId` (string) The ID of the field definition. - `paymentRequests.customFields.fieldValueId` (string) The ID of the specific field value. - `scheduleDetails` (object) The details of the schedule associated with the invoice - `scheduleDetails.scheduleId` (string, required) The internal id of the schedule - `scheduleDetails.scheduleNo` (string, required) The schedule number - `scheduleDetails.type` (string) The schedule type Enum: "RECURRING" - `creditNotes` (array) The list of credit notes from the invoice - `creditNotes.id` (string) Credit note id. - `creditNotes.number` (string) Credit note number. - `creditNotes.amount` (number) Credit note amount. - `creditNotes.valueDate` (string) Date when credit note was applied. - `creditNotes.externalData` (array) References about this credit note from external platforms Adfin integrates with. Such as ID etc - `creditNotes.externalData.id` (string) ID of the Credit Note in the external platform - `fileSource` (string) The file source of invoice Enum: "NONE", "FILE_UPLOAD", "EXTERNAL", "ADFIN", "PENDING_ADFIN" - `externalData` (array) References about this invoice from external platforms Adfin integrates with. Such as ID etc - `externalData.id` (string) ID of the Invoice in the external platform - `creditControlStatus` (string) The credit control status of the invoice Enum: "AT_RISK", "EXPECTED", "CONFIRMED" - `workflowType` (string) The workflow type of the invoice Enum: "AUTO_COLLECT", "ON_DEMAND", "NONE" - `customFields` (array) The list of custom fields that are applied to the invoice - `office` (object) The office associated with the invoice ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 422 fields ## Response 500 fields